server:
  port: 8202
  context-path: /book/v1.0/

eureka:
  instance:
    status-page-url-path: /book/v1.0/swagger-ui.html

spring:
  application:
    name: pcloud-service-book
  datasource:
    type: com.alibaba.druid.pool.DruidDataSource
    driver-class-name: com.mysql.jdbc.Driver
    initialSize: 5
    minIdle: 5
    maxActive: 50
    maxWait: 60000

    timeBetweenEvictionRunsMillis: 3000
    minEvictableIdleTimeMillis: 3600000
    validationQuery: SELECT 'x' FROM DUAL
    testWhileIdle: true
    testOnBorrow: false
    testOnReturn: false

    poolPreparedStatements: true
    maxPoolPreparedStatementPerConnectionSize: 20
    connectionProperties: config.decrypt=true

    filters: 


mybatis:
  mapper-locations: classpath*:mapper/*/*.xml
  type-aliases-package: com.pcloud.book
  check-config-location: true
  config-location: classpath:mybatis/mybatis-config.xml

hystrix:  
  command:  
    default:  
      execution:  
        isolation:  
          thread:  
            timeoutInMilliseconds: 60000 